#!/bin/sh
set -e

. /usr/share/debconf/confmodule

LOCALSCANCONF=/etc/exim4/conf.d/main/15_sa-exim_plugin_path
DISABLELOCALSCANTEXT='# sa-exim plugin is disabled, because it was uninstalled'
DISABLELOCALSCANMD5=`echo "${DISABLELOCALSCANTEXT}" | md5sum | cut -d\  -f1`

case "$1" in
    configure)
	if [ ! -e /var/spool/sa-exim ] ; then
		# Debian-exim should exist as we depend on exim4-base
		install -d -m770 -oDebian-exim -gDebian-exim \
		/var/spool/sa-exim
	fi
	# Support for greylisting tuplets (written as nobody by spamd)
	if [ ! -e /var/spool/sa-exim/tuplets ] ; then
		install -d -m750 -onobody -gDebian-exim \
		/var/spool/sa-exim/tuplets
	fi
	# clean up temporary file generated by postrm uninstall
	if [ -e "${LOCALSCANCONF}.rul" ] && \
	   [ "`md5sum ${LOCALSCANCONF}.rul | cut -d\  -f1`" = "${DISABLELOCALSCANMD5}" ]; then
	   rm ${LOCALSCANCONF}.rul
	fi
	if [ -x /etc/init.d/exim4 ]; then
		if [ -x /usr/sbin/invoke-rc.d ]; then
			invoke-rc.d exim4 reload || true
		else
			/etc/init.d/exim4 reload || true
		fi
	fi
	;;

esac

#DEBHELPER#
